/***************************************************************************
   listclasses.cpp  -  classes for move history and temporary move stacks
                             -------------------
    begin                : Sat Jun 3 2000
    copyright            : (C) 1996-2001 by Matthias Luescher
    email                : m.luescher@datacomm.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#include "def_inc.h"
#include "engineobject.h"
#include "listclasses.h"

/////////////////////////////////////////////////////////////////////////////
// NodeStack



Move* NodeStack::GetNextBest()
{
int ov = IMPOSSIBLE_VALUE;
Move *z = m_pTail - m_nMoves, *best = NULL;

	for ( int nr = 0; nr < m_nMoves; nr++ )
	{
		if ( ov < z->o_value )
		{
			ov = z->o_value;
			best = z;
		}
		z++;
	}

	if ( best != NULL )
	{
		best->o_value = IMPOSSIBLE_VALUE;
		return best;
	}
		
	return best;
}

void NodeStack::BestOrientation()
{
Move* head;

	for ( head = m_pTail - m_nMoves; head < m_pTail; head++ )
		head->o_value = head->value;
}

