/***************************************************************************
  myvector.h  -  different vectors needed for the evaluation/learning part
                             -------------------
    begin                : Sat Jun 3 2000
    copyright            : (C) 1996-2001 by Matthias Luescher
    email                : m.luescher@datacomm.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#include <vector>

using namespace std;

class PieceProperties
{
public:
	unsigned int atomics;
	char type;
};

typedef vector<PieceProperties> PiecePropertiesSet;
typedef PiecePropertiesSet::iterator PiecePropertiesSetIt;

class Position
{
public:
	Position() { value = 0; };
	Position(const Position& pos);
	PiecePropertiesSet tpPieces; //"toPlay" pieces
	PiecePropertiesSet iePieces; //"idle" pieces
	int value;
};

typedef vector<Position> PositionSet;
typedef PositionSet::iterator PositionSetIt;

