/***************************************************************************
 myvector.cpp  -  different vectors needed for the evaluation/learning part
                             -------------------
    begin                : Sat Jun 3 2000
    copyright            : (C) 1996-2001 by Matthias Luescher
    email                : m.luescher@datacomm.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#include "def_inc.h"

#include <vector>

using namespace std;

#include "myvector.h"

Position::Position(const Position& pos)
{
	unsigned int it;

	for ( it = 0; it < pos.iePieces.size(); it++ )
		iePieces.push_back(pos.iePieces[it]);

	for ( it = 0; it < pos.tpPieces.size(); it++ )
		tpPieces.push_back(pos.tpPieces[it]);

	value = pos.value;
}

